# Gimp.Drawable.colorize_hsl

    @accepts(Gimp.Drawable, float, float, float)
    @returns(bool)
    def colorize_hsl(self, hue, saturation, lightness):
        # Python wrapper for gimp_drawable_colorize_hsl()

Render the drawable as a grayscale image seen through a colored glass.

Desaturates the drawable, then tints it with the specified color. This tool is only valid on RGB color images. It will not operate on grayscale drawables.

Since 2.10

self

  The drawable.

hue

  Hue in degrees.

saturation

  Saturation in percent.

lightness

  Lightness in percent.

Returns